Name:           mm-common
Version:        0.9.2
Release:        1%{?dist}
Summary:        Common build files of the C++ bindings

Group:          Development/Tools
BuildArch:      noarch
License:        GPLv2+
URL:            http://gtkmm.org
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.9/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       pkgconfig
Requires:       graphviz
Requires:       doxygen
Requires:       libxslt
# mm-common install some files under datadir/aclocal/.
Requires:       automake

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is only a required
dependency for building the C++ bindings from the gnome.org version
control repository.  An installation of mm-common is not required for
building tarball releases, unless configured to use maintainer-mode.

%package docs
Summary:        Documentation for %{name}, includes example mm module skeleton
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description docs
Package contains short documentation for %{name} and example skeleton module,
which could be used as a base for new mm module.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p" CPPROG="cp -p"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS AUTHORS
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/aclocal/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pkgconfig/*.pc

%files docs
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*

%changelog
* Wed Feb 10 2010 Krzesimir Nowak <qdlacz@gmail.com> - 0.9.2-1
- New upstream release.

* Tue Jan 5 2010 Krzesimir Nowak <qdlacz@gmail.com> - 0.9.1-1
- New upstream release.
- Removed GFDL from license - doxygen docs have the same license as source code.

* Mon Sep 21 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.8-1
- New upstream release.

* Sun Sep 13 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.7.3-2
- Added automake to `Requires:'.
- Fixed some directory ownerships.
- Preserve timestamps during install.

* Thu Sep 10 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.7.3-1
- Initial RPM release.
